// JavaScript Document
var dhztheform;//表单对象
var dhzthechkallid;//全选对象
var dhzthechkid;//单选对象,数组
var dhztheaction;//事件名称
var dhzsize;//页面大小
//初始数据
function initialization(form,chkallid,chkid,action,pagesize)
{
dhztheform=form;
dhzthechkallid=chkallid;
dhzthechkid=chkid;
dhztheaction=action;
dhzsize=pagesize;
}
//选择所有
function CheckAll()
{
	if(!dhzthechkid[0])//只有一条记录
	{
		if (dhzthechkallid.checked==true)
		{dhzthechkid.checked=true;}
		else
		{dhzthechkid.checked=false;}
	
	}
	else
	{
		for (var i=0;i<dhzsize;i++)
		{	
			if(dhzthechkid[i])
			{
				if (dhzthechkallid.checked==true)
				{
					dhzthechkid[i].checked=true;
				}
				else
				{
					dhzthechkid[i].checked=false;
				}
			}
			else
			{
				break;
			}
		}
	}
}
//检查是否选择
function CheckIsChecked()
{
	var ischecked=false;
	if(!dhzthechkid[0])//只有一条记录
	{
		if(dhzthechkid.checked==true)
		{
		ischecked=true;
		}
	}
	else
	{		
		for (var i=0;i<dhzsize;i++)
		{
			if(dhzthechkid[i])
			{				
				if(dhzthechkid[i].checked==true)
				{
				ischecked=true;
				break;
				}
			}
		}
	}
	if(ischecked)
	return true;
	else
	return false;
}
//操作多条记录
function DoMore(ActionName,ActionStr)
{
	var ischecked=CheckIsChecked();
	if(ischecked)
	{
		if(confirm('确定要将选中的记录'+ActionStr+'吗？'))
		{	
			//改变事件
			dhztheaction.value=ActionName;
			//提交表单单
			dhztheform.submit();
		}
		return false;
	}
	else
	{
		alert('请先选择要操作的记录！');
	}
}
//操作一条记录
function DoOne(ActionName,ActionStr,counti,theid)
{
	if(confirm('确定要'+ActionStr+'ID为 '+theid+' 的记录吗？'))
	{	
		if(!dhzthechkid[0])//只有一条记录
		{
			dhzthechkid.checked=true;
		}
		else
		{
			//选择一条，去掉其它
			dhzthechkid[counti].checked=true;
			for (var i=0;i<dhzsize;i++)
			{
				if(i!=counti)
				{
					if(dhzthechkid[i])
					{
					dhzthechkid[i].checked=false;
					}
				}
			}
		}
		//改变事件
		dhztheaction.value=ActionName;
		//提交表单单
		dhztheform.submit();
	}
	return false;
}